SET CURRENT SCHEMA CONFIG;

INSERT INTO SYSCONFIG_INFO(INFO_ID,NAME,DISPLAY_NAME,INT_VALUE,CHAR_VALUE) SELECT 16 AS INFO_ID,'CALM_VERSION' AS NAME,'CALM Warehouse Version' AS DISPLAY_NAME,1 AS INT_VALUE,'3.0.1' AS CHAR_VALUE FROM SYSIBM.SYSDUMMY1 WHERE NOT EXISTS(SELECT INFO_ID FROM SYSCONFIG_INFO WHERE INFO_ID=16);

SET CURRENT SCHEMA RICALM;

CREATE TRIGGER TRG_REQUIATTRD AFTER UPDATE OF REC_DATETIME ON RIODS.REQUIREMENT REFERENCING  NEW AS NEWROW OLD AS OLDROW FOR EACH ROW MODE DB2SQL BEGIN ATOMIC DELETE FROM RQRMENT_ENUMERATION WHERE REQUIREMENT_ID=NEWROW.REQUIREMENT_ID; END;

DROP INDEX RQRENUM_IDX1;

CREATE INDEX RQRENUM_IDX1 ON RQRMENT_ENUMERATION (REQUIREMENT_ID ASC, REQUIREMENT_ATTRDEF_ID ASC, PROJECT_ID ASC, EXTERNAL_ID ASC);

CREATE INDEX REQBASE_IDX3 ON REQUEST_BASELINE (REQUEST_HISTORY_ID ASC, REC_DATETIME ASC);

UPDATE CONFIG.SYSCONFIG_INFO SET CHAR_VALUE='3.0.1.1' WHERE INFO_ID=16;
