@echo off

rem Default DB2 subsystem to use.  If the database needs to be
rem deployed on a different subsystem change the value of SUBSYSTEM

SET SUBSYSTEM=

rem Storage group to create to host the Reporting database
rem If needed a different name can be used

SET STOGROUP=INSIGHT

rem Volumes to use for the storage group
rem set it to a valid list of volumes
SET VOLUMES=

rem Volume catalog to use for the storage group
rem set it to a valid volume catalog
SET VCAT=

rem Default Rational Reporting database ALIAS instance to use. 
rem if a different value is required change the value of DBNAME
rem Not accepting the default implies changes in the connection information
rem defined on the Cognos BI server and Data Manager ETL

SET DBNAME=RIDW

rem Default account to use to execute the database installation.
rem If a different value is required change the value of DBUSER
rem Make sure to make the appropriate changes in the Data Manager credentials
rem for the "Rational Data Warehouse" connection 

SET DBUSER=db2admin

rem Default account to use for the report executions.
rem If a different value is required change the value of REP_USER.
rem Not accepting the defaults implies that RIDW connection
rem in the Cognos BI server will have to be changed

SET REP_USER=RPTUSER

rem Default start year from which to populate the 
rem date dimension in the data mart.  If the default is not suitable 
rem change the value of START_YEAR to any sensible value required.

SET START_YEAR=2008

rem Default end year up to which to populate the 
rem date dimension in the data mart.  If the default is not suitable 
rem change the value of END_YEAR to any sensible value required.
rem END_YEAR must be greater than the value specified for START_YEAR

SET END_YEAR=2012

rem Do not change the values below

SET NF_SCHEMA=RIODS


SET RIASSET_SCHEMA=RIASSET


SET RISCHK_SCHEMA=RISCHK


SET STAR_SCHEMA=RIDW


SET CALM_SCHEMA=RICALM